fname1=uigetfile('*.txt','Select first data set');
fname2=uigetfile('*.txt','Select second data set');

%%
[x1,y1,z1]=read_three_columns(fname1);
[x2,y2,z2]=read_three_columns(fname2);
x2=-x2;  %do mirror

%%
nudgeamount=1;
clf
p1=plot(x1,y1,'.');
hold on
p2=plot(x2,y2,'ro');
 axis([min(x1)-5 max(x1)+5 min(y1)-5 max(y1)+5])
 
while 1
  set(p2,'xdata',x2,'ydata',y2,'zdata',z2)
  shg
  disp('Choices...')
  choice=input('Choose something! ');
  switch choice
    case 1 % move up
      y2=y2+nudgeamount;
    case 2 % move down
      y2=y2-nudgeamount;
    case 3 % move left
      x2=x2-nudgeamount;
    case 4 % move right
      x2=x2+nudgeamount;
    case 5 % nudge amount 5mm
      nudgeamount=5;
    case 6 % nudge amount 1mm
      nudgeamount=1;
    case 7 % nudge amount 0.5mm
      nudgeamount=0.5;
    case 8 % nudge amount 0.05mm
      nudgeamount=0.05;
    case 9
      break;
  end
end
