% CONTOURMETHOD
%
% Sequence to follow:
% cmm_clean
% cmm_align
% fit_spline
% gen_outline
% make model in Abaqus/Patran
% then use:
% create_inp_displacement to split the Abaqus input deck
% then run abq641 job=jobABQ interactive 

% to verify from measured stresses, use
% create_inp_stresses and check that resultant displacements are correct
%
%
% Files
%   cmm_align                - mirror floating data around x axis
%   cmm_clean                - .M A simple tool for cleaning point clouds
%   cmm_examine              - .M A simple tool for looking at point clouds
%   createINPfromSpline      - .M
%   createrivetINPfromSpline - CREATEINPFROMSPLINE.M
%   cropbox                  - 
%   fit_spline               - .M
%   fit_spline_LFW           - FIT_SPLINE.M
%   fit_test                 - 
%   gen_cmmscan              - generates a grid of points within part boundary
%   gen_outline              - takes cmm boundary data and produces either a Patran Neutral
